Subject: Ticket Assigned - Delivery
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Tue, 30 Mar 2021 10:50:54 +0000

Hi Mayar nasser mahmoud,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery I called your customer service line just now 9:53AM and I spoke to one of your agent i forgot to get her name and i was asking for help how to cancel the order I placed through Tabby because I mistakenly clicked it instead of paying through my card. Your agent telling me that there is nothing wrong with my order and while Im talking she hung up the phone. Having that kind of attitude towards your customer is ridiculous ! https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2324427